MPI_File_get_type_extent(3)

NAME
MPI_File_get_type_extent - Returns the extent of datatype in the file

SYNOPSIS
#include "mpi.h"
int MPI_File_get_type_extent(MPI_File fh, MPI_Datatype datatype,
                             MPI_Aint *extent)

INPUT PARAMETERS
fh  - file handle (handle)
datatype
    - datatype (handle)

OUTPUT PARAMETERS
extent
    - extent of the datatype (nonnegative integer)

NOTES FOR FORTRAN
All MPI routines in Fortran (except for 'MPI_WTIME' and 'MPI_WTICK') have an additional argument 'ierr' at the end of the argument list. the routine in C. In Fortran, MPI routines are subroutines and are invoked with the 'call' statement. All MPI objects (e.g., 'MPI_Datatype', 'MPI_Comm', 'MPI_File') are of type 'INTEGER' in Fortran.